Page MenuHomePhabricator

efl_ui_position_manager: only fill as many items as we need
ClosedPublic

Authored by bu5hm4n on Aug 27 2019, 10:05 AM.

Details

Summary

prior to this commit, we just passed the start_id and the end_id the
end_id was the start_id plus the size of the memory buffer. However,
making this depending on the size of the memory buffer is a bad idea, as
changing it based on our needs is rather painfull.

With this commit we have explicit passing of the start_id, end_id and
memory len. This is kind of redundant, however, its very convenient, and
easy to write. The buffer will be filled with the maximum size that is
possible with length of the buffer, however, the end_id will not be
filled anymore.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Aug 27 2019, 10:05 AM
bu5hm4n requested review of this revision.Aug 27 2019, 10:05 AM

I'm out of office so I cannot test it,
but the idea looks good to me :)

bu5hm4n updated this revision to Diff 24793.Sep 6 2019, 2:19 AM

fix off by one error in grid.

This revision was not accepted when it landed; it landed in state Needs Review.Sep 10 2019, 12:11 AM
Closed by commit rEFL6e23dfba625c: efl_ui_position_manager: only fill as many items as we need (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain Why
This revision was automatically updated to reflect the committed changes.